<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Spectator</title>
</head>
<body style="background-color:powderblue;">
<li th:each="s :${spectator}">
    <a th:href="${'/profile/' + s.id}">Profile</a>
</li>
<li style="float:left">
    <a th:href="${'/logout'}">Log out</a>
</li>
<div class="container">

    <form th:action="@{/specator/movie/search}" th:object="${search}" method="post" align="right">
        <label for="pretraga">Search:</label>
        <input id="pretraga" type="text" th:field="*{search}"/>
        <br/>

        <input type="submit">
    </form>

    <div class="row">
        <div class="col">
            <form align="center">
                <h1>Movies:</h1>
            </form>
        </div>
    </div>
    <form align="center">
        <a href="/specator/movie/sortNameOMUp">Sort by name ASC; </a>
        <a href="/specator/movie/sortNameOMDown"> Sort by name DESC; </a>
        <a href="/specator/movie/sortPriceUp"> Sort by price ASC; </a>
        <a href="/specator/movie/sortPriceDown"> Sort by price DESC</a>
    </form>
    <div class="row" >
        <table id="movie" class="table" border="1" width="200px" height="auto" align="center">
            <tr>
                <th>Id</th>
                <th>NameOm</th>
                <th>Description</th>
                <th>Duration</th>
                <th>Genre</th>
                <th>Mark</th>
                <th>Price</th>

            </tr>

            <tr th:each="movie : ${movies}">
                <td th:text="${movie.id}"></td>
                <td th:text="${movie.nameOM}"></td>
                <td th:text="${movie.description}"></td>
                <td th:text="${movie.duration}"></td>
                <td th:text="${movie.genre}"></td>
                <td th:text="${movie.mark}"></td>
                <td th:text="${movie.price}"></td>
                <td><a th:href="${'/reserve/' + movie.id}" style="color:blue;">Reserve</a></td>
            </tr>
        </table>
    </div>
</div>
<form align="center">
    <h1>Reserved movies:</h1>
</form>
<table class="table" border="1" width="200px" height="auto" align="center">
    <tr>
        <th>Id</th>
        <th>NameOm</th>
        <th>Description</th>
        <th>Duration</th>
        <th>Genre</th>
        <th>Mark</th>
        <th>Price</th>

    </tr>

    <tr th:each="movie : ${reserve}">
        <td th:text="${movie.id}"></td>
        <td th:text="${movie.nameOM}"></td>
        <td th:text="${movie.description}"></td>
        <td th:text="${movie.duration}"></td>
        <td th:text="${movie.genre}"></td>
        <td th:text="${movie.mark}"></td>
        <td th:text="${movie.price}"></td>
        <td><a th:href="${'/accept/' + movie.id}" style="color:green;">Accept</a></td>
        <td><a th:href="${'/decline/' + movie.id}" style="color:red;">Decline</a></td>
    </tr>
</table>
<form align="center">
    <h1>Accepted reservations:</h1>
</form>
<table class="table" border="1" width="200px" height="auto" align="center">
    <tr>
        <th>Id</th>
        <th>NameOm</th>
        <th>Description</th>
        <th>Duration</th>
        <th>Genre</th>
        <th>Mark</th>
        <th>Price</th>

    </tr>

    <tr th:each="movie : ${accept}">
        <td th:text="${movie.id}"></td>
        <td th:text="${movie.nameOM}"></td>
        <td th:text="${movie.description}"></td>
        <td th:text="${movie.duration}"></td>
        <td th:text="${movie.genre}"></td>
        <td th:text="${movie.mark}"></td>
        <td th:text="${movie.price}"></td>
    </tr>
</table>
</body>
</html>